%global src_name discovery-server
# The rpmbuilder doesn't accept dashes in the egg name because it follows
# the name-version format. Therefore, it converts - to _ on our behalf.
%global egg_name discovery_server
Name: %{src_name}
Version: 0.9.1
Release: 2%{?dist}
Summary: A tool for discovery and inspection of an IT environment. Discovery-server provides a server base infrastructure to process tasks that discover and inspect remote systems.

Group: Applications/Internet
License: GPLv3
URL: http://github.com/quipucords/quipucords
Source0: %{src_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-devel
Requires: python3-setuptools
Requires: python3-requests
Requires: python3-pexpect
Requires: python3-django
Requires: python3-django-filter
Requires: python3-jmespath
Requires: python3-django-rest-framework
Requires: python3-psycopg2
Requires: python3-whitenoise
Requires: ansible
Requires: python3-PyYAML
Requires: python3-ansible-runner
Requires: python3-pyvmomi
# paramiko may or may not be provided by our ansible Shared content request
# Requires: python3-paramiko
#Dependencies in Dockerfile (Container requirements)
Requires: python3-virtualenv
Requires: python3-tools
Requires: sshpass
Requires: which
Requires: python3-gunicorn
Requires: python3-meld3
Requires: supervisor
Requires: procps

%description
A tool for discovery and inspection of an IT environment. Discovery-server provides a server base infrastructure to process tasks that discover and inspect remote systems.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
find %{buildroot}%{python3_sitelib} \
     -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

%files
%defattr(-,root,root,-)
%doc README.md AUTHORS.md
%license LICENSE
%{python3_sitelib}/%{src_name}/
%{python3_sitelib}/%{egg_name}-%{version}-py3.?.egg-info/

%changelog
* Thu Sep 19 2019 Cody Myers <cmyers@redhat.com> 0.9.1-2
- Remove python3-brotli from the runtime requirements
* Fri Aug 30 2019 Cody Myers <cmyers@redhat.com> 0.9.1-1
- Upgrade to new qupuipucords, ui & embeded docs to 0.9.1 <cmyers@redhat.com>
* Wed Jul 31 2019 Cody Myers <cmyers@redhat.com> 0.9.0-4
- Changed the package name to discovery-server in the source. <cmyers@redhat.com>
* Mon Jul 29 2019 Cody Myers <cmyers@redhat.com> 0.9.0-3
- Added additional requires for contianer build. <cmyers@redhat.com>
* Tue Jul 23 2019 Cody Myers <cmyers@redhat.com> 0.9.0-2
- Update sources to include runner directory. <cmyers@redhat.com>
* Thu Jun 27 2019 Cody Myers <cmyers@redhat.com> 0.9.0
- Build discovery-server egg. <cmyers@redhat.com>
